UbixOS V2 2.0

Data Structures | Functions
devfs.h File Reference
`#include <sys/types.h>`
`#include <vfs/file.h>`
Include dependency graph for devfs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | devfs_devices
struct | devfs_info

## Functions
int | devfs_init ()
int | devfs_makeNode (char *name, uInt8 type, uInt16 major, uInt16 minor)

## Function Documentation

## ◆ devfs_init()

int devfs_init | ( |  | ) |

Definition at line 211 of file devfs.c.

References NULL.

## ◆ devfs_makeNode()

int devfs_makeNode | ( | char * | name,
|  | uInt8 | type,
|  | uInt16 | major,
|  | uInt16 | minor
| ) |  |

Definition at line 174 of file devfs.c.

References spinLock().

Referenced by fdc_init().

Here is the call graph for this function: